ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.114 by ayin, Wed Oct 31 12:00:52 2007 UTC vs.
Revision 1.118 by root, Sun Nov 18 01:31:38 2007 UTC

679GREP 679GREP
680EGREP 680EGREP
681LINKER 681LINKER
682INSTALL_LIBRXVT 682INSTALL_LIBRXVT
683RXVTNAME 683RXVTNAME
684CXXCPP
684TIC 685TIC
685XMKMF 686XMKMF
686CXXCPP
687X_CFLAGS 687X_CFLAGS
688X_PRE_LIBS 688X_PRE_LIBS
689X_LIBS 689X_LIBS
690X_EXTRA_LIBS 690X_EXTRA_LIBS
691afterimage_config 691afterimage_config
731CPPFLAGS 731CPPFLAGS
732CXX 732CXX
733CXXFLAGS 733CXXFLAGS
734CCC 734CCC
735CPP 735CPP
736XMKMF
737CXXCPP' 736CXXCPP
737XMKMF'
738 738
739 739
740# Initialize some variables set by options. 740# Initialize some variables set by options.
741ac_init_help= 741ac_init_help=
742ac_init_version=false 742ac_init_version=false
1373 CPPFLAGS C/C++/Objective C preprocessor flags, e.g. -I<include dir> if 1373 CPPFLAGS C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
1374 you have headers in a nonstandard directory <include dir> 1374 you have headers in a nonstandard directory <include dir>
1375 CXX C++ compiler command 1375 CXX C++ compiler command
1376 CXXFLAGS C++ compiler flags 1376 CXXFLAGS C++ compiler flags
1377 CPP C preprocessor 1377 CPP C preprocessor
1378 CXXCPP C++ preprocessor
1378 XMKMF Path to xmkmf, Makefile generator for X Window System 1379 XMKMF Path to xmkmf, Makefile generator for X Window System
1379 CXXCPP C++ preprocessor
1380 1380
1381Use these variables to override the choices made by `configure' or to help 1381Use these variables to override the choices made by `configure' or to help
1382it to find libraries and programs with nonstandard names/locations. 1382it to find libraries and programs with nonstandard names/locations.
1383 1383
1384_ACEOF 1384_ACEOF
1920 1920
1921 1921
1922 1922
1923VERSION=`sed -n -e 's/^.*[ \t]VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1923VERSION=`sed -n -e 's/^.*[ \t]VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1924DATE=`sed -n -e 's/^.*[ \t]DATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1924DATE=`sed -n -e 's/^.*[ \t]DATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1925
1925echo "" 1926echo ""
1926echo "configuring for rxvt $VERSION" 1927echo "configuring for rxvt $VERSION"
1927echo "" 1928echo ""
1928 1929
1929orig_CXXFLAGS="$CXXFLAGS" 1930orig_CXXFLAGS="$CXXFLAGS"
4891 fi 4892 fi
4892fi 4893fi
4893 4894
4894 4895
4895 4896
4897LIBEV_M4_AVOID_LIBRT=1
4898
4899ac_ext=cpp
4900ac_cpp='$CXXCPP $CPPFLAGS'
4901ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4902ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4903ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
4904{ echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
4905echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6; }
4906if test -z "$CXXCPP"; then
4907 if test "${ac_cv_prog_CXXCPP+set}" = set; then
4908 echo $ECHO_N "(cached) $ECHO_C" >&6
4909else
4910 # Double quotes because CXXCPP needs to be expanded
4911 for CXXCPP in "$CXX -E" "/lib/cpp"
4912 do
4913 ac_preproc_ok=false
4914for ac_cxx_preproc_warn_flag in '' yes
4915do
4916 # Use a header file that comes with gcc, so configuring glibc
4917 # with a fresh cross-compiler works.
4918 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4919 # <limits.h> exists even on freestanding compilers.
4920 # On the NeXT, cc -E runs the code through the compiler's parser,
4921 # not just through cpp. "Syntax error" is here to catch this case.
4922 cat >conftest.$ac_ext <<_ACEOF
4923/* confdefs.h. */
4924_ACEOF
4925cat confdefs.h >>conftest.$ac_ext
4926cat >>conftest.$ac_ext <<_ACEOF
4927/* end confdefs.h. */
4928#ifdef __STDC__
4929# include <limits.h>
4930#else
4931# include <assert.h>
4932#endif
4933 Syntax error
4934_ACEOF
4935if { (ac_try="$ac_cpp conftest.$ac_ext"
4936case "(($ac_try" in
4937 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4938 *) ac_try_echo=$ac_try;;
4939esac
4940eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4941 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
4942 ac_status=$?
4943 grep -v '^ *+' conftest.er1 >conftest.err
4944 rm -f conftest.er1
4945 cat conftest.err >&5
4946 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4947 (exit $ac_status); } >/dev/null && {
4948 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
4949 test ! -s conftest.err
4950 }; then
4951 :
4952else
4953 echo "$as_me: failed program was:" >&5
4954sed 's/^/| /' conftest.$ac_ext >&5
4955
4956 # Broken: fails on valid input.
4957continue
4958fi
4959
4960rm -f conftest.err conftest.$ac_ext
4961
4962 # OK, works on sane cases. Now check whether nonexistent headers
4963 # can be detected and how.
4964 cat >conftest.$ac_ext <<_ACEOF
4965/* confdefs.h. */
4966_ACEOF
4967cat confdefs.h >>conftest.$ac_ext
4968cat >>conftest.$ac_ext <<_ACEOF
4969/* end confdefs.h. */
4970#include <ac_nonexistent.h>
4971_ACEOF
4972if { (ac_try="$ac_cpp conftest.$ac_ext"
4973case "(($ac_try" in
4974 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4975 *) ac_try_echo=$ac_try;;
4976esac
4977eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4978 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
4979 ac_status=$?
4980 grep -v '^ *+' conftest.er1 >conftest.err
4981 rm -f conftest.er1
4982 cat conftest.err >&5
4983 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4984 (exit $ac_status); } >/dev/null && {
4985 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
4986 test ! -s conftest.err
4987 }; then
4988 # Broken: success on invalid input.
4989continue
4990else
4991 echo "$as_me: failed program was:" >&5
4992sed 's/^/| /' conftest.$ac_ext >&5
4993
4994 # Passes both tests.
4995ac_preproc_ok=:
4996break
4997fi
4998
4999rm -f conftest.err conftest.$ac_ext
5000
5001done
5002# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5003rm -f conftest.err conftest.$ac_ext
5004if $ac_preproc_ok; then
5005 break
5006fi
5007
5008 done
5009 ac_cv_prog_CXXCPP=$CXXCPP
5010
5011fi
5012 CXXCPP=$ac_cv_prog_CXXCPP
5013else
5014 ac_cv_prog_CXXCPP=$CXXCPP
5015fi
5016{ echo "$as_me:$LINENO: result: $CXXCPP" >&5
5017echo "${ECHO_T}$CXXCPP" >&6; }
5018ac_preproc_ok=false
5019for ac_cxx_preproc_warn_flag in '' yes
5020do
5021 # Use a header file that comes with gcc, so configuring glibc
5022 # with a fresh cross-compiler works.
5023 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5024 # <limits.h> exists even on freestanding compilers.
5025 # On the NeXT, cc -E runs the code through the compiler's parser,
5026 # not just through cpp. "Syntax error" is here to catch this case.
5027 cat >conftest.$ac_ext <<_ACEOF
5028/* confdefs.h. */
5029_ACEOF
5030cat confdefs.h >>conftest.$ac_ext
5031cat >>conftest.$ac_ext <<_ACEOF
5032/* end confdefs.h. */
5033#ifdef __STDC__
5034# include <limits.h>
5035#else
5036# include <assert.h>
5037#endif
5038 Syntax error
5039_ACEOF
5040if { (ac_try="$ac_cpp conftest.$ac_ext"
5041case "(($ac_try" in
5042 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5043 *) ac_try_echo=$ac_try;;
5044esac
5045eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5046 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5047 ac_status=$?
5048 grep -v '^ *+' conftest.er1 >conftest.err
5049 rm -f conftest.er1
5050 cat conftest.err >&5
5051 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5052 (exit $ac_status); } >/dev/null && {
5053 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5054 test ! -s conftest.err
5055 }; then
5056 :
5057else
5058 echo "$as_me: failed program was:" >&5
5059sed 's/^/| /' conftest.$ac_ext >&5
5060
5061 # Broken: fails on valid input.
5062continue
5063fi
5064
5065rm -f conftest.err conftest.$ac_ext
5066
5067 # OK, works on sane cases. Now check whether nonexistent headers
5068 # can be detected and how.
5069 cat >conftest.$ac_ext <<_ACEOF
5070/* confdefs.h. */
5071_ACEOF
5072cat confdefs.h >>conftest.$ac_ext
5073cat >>conftest.$ac_ext <<_ACEOF
5074/* end confdefs.h. */
5075#include <ac_nonexistent.h>
5076_ACEOF
5077if { (ac_try="$ac_cpp conftest.$ac_ext"
5078case "(($ac_try" in
5079 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5080 *) ac_try_echo=$ac_try;;
5081esac
5082eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5083 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5084 ac_status=$?
5085 grep -v '^ *+' conftest.er1 >conftest.err
5086 rm -f conftest.er1
5087 cat conftest.err >&5
5088 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5089 (exit $ac_status); } >/dev/null && {
5090 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5091 test ! -s conftest.err
5092 }; then
5093 # Broken: success on invalid input.
5094continue
5095else
5096 echo "$as_me: failed program was:" >&5
5097sed 's/^/| /' conftest.$ac_ext >&5
5098
5099 # Passes both tests.
5100ac_preproc_ok=:
5101break
5102fi
5103
5104rm -f conftest.err conftest.$ac_ext
5105
5106done
5107# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5108rm -f conftest.err conftest.$ac_ext
5109if $ac_preproc_ok; then
5110 :
5111else
5112 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5113See \`config.log' for more details." >&5
5114echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5115See \`config.log' for more details." >&2;}
5116 { (exit 1); exit 1; }; }
5117fi
5118
5119ac_ext=cpp
5120ac_cpp='$CXXCPP $CPPFLAGS'
5121ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5122ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5123ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
5124
5125
5126{ echo "$as_me:$LINENO: checking for ANSI C header files" >&5
5127echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
5128if test "${ac_cv_header_stdc+set}" = set; then
5129 echo $ECHO_N "(cached) $ECHO_C" >&6
5130else
5131 cat >conftest.$ac_ext <<_ACEOF
5132/* confdefs.h. */
5133_ACEOF
5134cat confdefs.h >>conftest.$ac_ext
5135cat >>conftest.$ac_ext <<_ACEOF
5136/* end confdefs.h. */
5137#include <stdlib.h>
5138#include <stdarg.h>
5139#include <string.h>
5140#include <float.h>
5141
5142int
5143main ()
5144{
5145
5146 ;
5147 return 0;
5148}
5149_ACEOF
5150rm -f conftest.$ac_objext
5151if { (ac_try="$ac_compile"
5152case "(($ac_try" in
5153 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5154 *) ac_try_echo=$ac_try;;
5155esac
5156eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5157 (eval "$ac_compile") 2>conftest.er1
5158 ac_status=$?
5159 grep -v '^ *+' conftest.er1 >conftest.err
5160 rm -f conftest.er1
5161 cat conftest.err >&5
5162 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5163 (exit $ac_status); } && {
5164 test -z "$ac_cxx_werror_flag" ||
5165 test ! -s conftest.err
5166 } && test -s conftest.$ac_objext; then
5167 ac_cv_header_stdc=yes
5168else
5169 echo "$as_me: failed program was:" >&5
5170sed 's/^/| /' conftest.$ac_ext >&5
5171
5172 ac_cv_header_stdc=no
5173fi
5174
5175rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5176
5177if test $ac_cv_header_stdc = yes; then
5178 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
5179 cat >conftest.$ac_ext <<_ACEOF
5180/* confdefs.h. */
5181_ACEOF
5182cat confdefs.h >>conftest.$ac_ext
5183cat >>conftest.$ac_ext <<_ACEOF
5184/* end confdefs.h. */
5185#include <string.h>
5186
5187_ACEOF
5188if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
5189 $EGREP "memchr" >/dev/null 2>&1; then
5190 :
5191else
5192 ac_cv_header_stdc=no
5193fi
5194rm -f conftest*
5195
5196fi
5197
5198if test $ac_cv_header_stdc = yes; then
5199 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
5200 cat >conftest.$ac_ext <<_ACEOF
5201/* confdefs.h. */
5202_ACEOF
5203cat confdefs.h >>conftest.$ac_ext
5204cat >>conftest.$ac_ext <<_ACEOF
5205/* end confdefs.h. */
5206#include <stdlib.h>
5207
5208_ACEOF
5209if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
5210 $EGREP "free" >/dev/null 2>&1; then
5211 :
5212else
5213 ac_cv_header_stdc=no
5214fi
5215rm -f conftest*
5216
5217fi
5218
5219if test $ac_cv_header_stdc = yes; then
5220 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
5221 if test "$cross_compiling" = yes; then
5222 :
5223else
5224 cat >conftest.$ac_ext <<_ACEOF
5225/* confdefs.h. */
5226_ACEOF
5227cat confdefs.h >>conftest.$ac_ext
5228cat >>conftest.$ac_ext <<_ACEOF
5229/* end confdefs.h. */
5230#include <ctype.h>
5231#include <stdlib.h>
5232#if ((' ' & 0x0FF) == 0x020)
5233# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
5234# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
5235#else
5236# define ISLOWER(c) \
5237 (('a' <= (c) && (c) <= 'i') \
5238 || ('j' <= (c) && (c) <= 'r') \
5239 || ('s' <= (c) && (c) <= 'z'))
5240# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
5241#endif
5242
5243#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
5244int
5245main ()
5246{
5247 int i;
5248 for (i = 0; i < 256; i++)
5249 if (XOR (islower (i), ISLOWER (i))
5250 || toupper (i) != TOUPPER (i))
5251 return 2;
5252 return 0;
5253}
5254_ACEOF
5255rm -f conftest$ac_exeext
5256if { (ac_try="$ac_link"
5257case "(($ac_try" in
5258 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5259 *) ac_try_echo=$ac_try;;
5260esac
5261eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5262 (eval "$ac_link") 2>&5
5263 ac_status=$?
5264 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5265 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
5266 { (case "(($ac_try" in
5267 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5268 *) ac_try_echo=$ac_try;;
5269esac
5270eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5271 (eval "$ac_try") 2>&5
5272 ac_status=$?
5273 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5274 (exit $ac_status); }; }; then
5275 :
5276else
5277 echo "$as_me: program exited with status $ac_status" >&5
5278echo "$as_me: failed program was:" >&5
5279sed 's/^/| /' conftest.$ac_ext >&5
5280
5281( exit $ac_status )
5282ac_cv_header_stdc=no
5283fi
5284rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
5285fi
5286
5287
5288fi
5289fi
5290{ echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
5291echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
5292if test $ac_cv_header_stdc = yes; then
5293
5294cat >>confdefs.h <<\_ACEOF
5295#define STDC_HEADERS 1
5296_ACEOF
5297
5298fi
5299
5300# On IRIX 5.3, sys/types and inttypes.h are conflicting.
5301
5302
5303
5304
5305
5306
5307
5308
5309
5310for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
5311 inttypes.h stdint.h unistd.h
5312do
5313as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5314{ echo "$as_me:$LINENO: checking for $ac_header" >&5
5315echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5316if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5317 echo $ECHO_N "(cached) $ECHO_C" >&6
5318else
5319 cat >conftest.$ac_ext <<_ACEOF
5320/* confdefs.h. */
5321_ACEOF
5322cat confdefs.h >>conftest.$ac_ext
5323cat >>conftest.$ac_ext <<_ACEOF
5324/* end confdefs.h. */
5325$ac_includes_default
5326
5327#include <$ac_header>
5328_ACEOF
5329rm -f conftest.$ac_objext
5330if { (ac_try="$ac_compile"
5331case "(($ac_try" in
5332 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5333 *) ac_try_echo=$ac_try;;
5334esac
5335eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5336 (eval "$ac_compile") 2>conftest.er1
5337 ac_status=$?
5338 grep -v '^ *+' conftest.er1 >conftest.err
5339 rm -f conftest.er1
5340 cat conftest.err >&5
5341 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5342 (exit $ac_status); } && {
5343 test -z "$ac_cxx_werror_flag" ||
5344 test ! -s conftest.err
5345 } && test -s conftest.$ac_objext; then
5346 eval "$as_ac_Header=yes"
5347else
5348 echo "$as_me: failed program was:" >&5
5349sed 's/^/| /' conftest.$ac_ext >&5
5350
5351 eval "$as_ac_Header=no"
5352fi
5353
5354rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5355fi
5356ac_res=`eval echo '${'$as_ac_Header'}'`
5357 { echo "$as_me:$LINENO: result: $ac_res" >&5
5358echo "${ECHO_T}$ac_res" >&6; }
5359if test `eval echo '${'$as_ac_Header'}'` = yes; then
5360 cat >>confdefs.h <<_ACEOF
5361#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5362_ACEOF
5363
5364fi
5365
5366done
5367
5368
5369
5370
5371
5372
5373for ac_header in sys/epoll.h sys/event.h sys/queue.h port.h
5374do
5375as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5376if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5377 { echo "$as_me:$LINENO: checking for $ac_header" >&5
5378echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5379if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5380 echo $ECHO_N "(cached) $ECHO_C" >&6
5381fi
5382ac_res=`eval echo '${'$as_ac_Header'}'`
5383 { echo "$as_me:$LINENO: result: $ac_res" >&5
5384echo "${ECHO_T}$ac_res" >&6; }
5385else
5386 # Is the header compilable?
5387{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
5388echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
5389cat >conftest.$ac_ext <<_ACEOF
5390/* confdefs.h. */
5391_ACEOF
5392cat confdefs.h >>conftest.$ac_ext
5393cat >>conftest.$ac_ext <<_ACEOF
5394/* end confdefs.h. */
5395$ac_includes_default
5396#include <$ac_header>
5397_ACEOF
5398rm -f conftest.$ac_objext
5399if { (ac_try="$ac_compile"
5400case "(($ac_try" in
5401 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5402 *) ac_try_echo=$ac_try;;
5403esac
5404eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5405 (eval "$ac_compile") 2>conftest.er1
5406 ac_status=$?
5407 grep -v '^ *+' conftest.er1 >conftest.err
5408 rm -f conftest.er1
5409 cat conftest.err >&5
5410 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5411 (exit $ac_status); } && {
5412 test -z "$ac_cxx_werror_flag" ||
5413 test ! -s conftest.err
5414 } && test -s conftest.$ac_objext; then
5415 ac_header_compiler=yes
5416else
5417 echo "$as_me: failed program was:" >&5
5418sed 's/^/| /' conftest.$ac_ext >&5
5419
5420 ac_header_compiler=no
5421fi
5422
5423rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5424{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5425echo "${ECHO_T}$ac_header_compiler" >&6; }
5426
5427# Is the header present?
5428{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
5429echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
5430cat >conftest.$ac_ext <<_ACEOF
5431/* confdefs.h. */
5432_ACEOF
5433cat confdefs.h >>conftest.$ac_ext
5434cat >>conftest.$ac_ext <<_ACEOF
5435/* end confdefs.h. */
5436#include <$ac_header>
5437_ACEOF
5438if { (ac_try="$ac_cpp conftest.$ac_ext"
5439case "(($ac_try" in
5440 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5441 *) ac_try_echo=$ac_try;;
5442esac
5443eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5444 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5445 ac_status=$?
5446 grep -v '^ *+' conftest.er1 >conftest.err
5447 rm -f conftest.er1
5448 cat conftest.err >&5
5449 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5450 (exit $ac_status); } >/dev/null && {
5451 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5452 test ! -s conftest.err
5453 }; then
5454 ac_header_preproc=yes
5455else
5456 echo "$as_me: failed program was:" >&5
5457sed 's/^/| /' conftest.$ac_ext >&5
5458
5459 ac_header_preproc=no
5460fi
5461
5462rm -f conftest.err conftest.$ac_ext
5463{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5464echo "${ECHO_T}$ac_header_preproc" >&6; }
5465
5466# So? What about this header?
5467case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
5468 yes:no: )
5469 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5470echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5471 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5472echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5473 ac_header_preproc=yes
5474 ;;
5475 no:yes:* )
5476 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5477echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5478 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
5479echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
5480 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5481echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5482 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
5483echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
5484 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5485echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5486 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5487echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5488
5489 ;;
5490esac
5491{ echo "$as_me:$LINENO: checking for $ac_header" >&5
5492echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5493if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5494 echo $ECHO_N "(cached) $ECHO_C" >&6
5495else
5496 eval "$as_ac_Header=\$ac_header_preproc"
5497fi
5498ac_res=`eval echo '${'$as_ac_Header'}'`
5499 { echo "$as_me:$LINENO: result: $ac_res" >&5
5500echo "${ECHO_T}$ac_res" >&6; }
5501
5502fi
5503if test `eval echo '${'$as_ac_Header'}'` = yes; then
5504 cat >>confdefs.h <<_ACEOF
5505#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5506_ACEOF
5507
5508fi
5509
5510done
5511
5512
5513
5514
5515
5516for ac_func in epoll_ctl kqueue port_create
5517do
5518as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5519{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5520echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
5521if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
5522 echo $ECHO_N "(cached) $ECHO_C" >&6
5523else
5524 cat >conftest.$ac_ext <<_ACEOF
5525/* confdefs.h. */
5526_ACEOF
5527cat confdefs.h >>conftest.$ac_ext
5528cat >>conftest.$ac_ext <<_ACEOF
5529/* end confdefs.h. */
5530/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5531 For example, HP-UX 11i <limits.h> declares gettimeofday. */
5532#define $ac_func innocuous_$ac_func
5533
5534/* System header to define __stub macros and hopefully few prototypes,
5535 which can conflict with char $ac_func (); below.
5536 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5537 <limits.h> exists even on freestanding compilers. */
5538
5539#ifdef __STDC__
5540# include <limits.h>
5541#else
5542# include <assert.h>
5543#endif
5544
5545#undef $ac_func
5546
5547/* Override any GCC internal prototype to avoid an error.
5548 Use char because int might match the return type of a GCC
5549 builtin and then its argument prototype would still apply. */
5550#ifdef __cplusplus
5551extern "C"
5552#endif
5553char $ac_func ();
5554/* The GNU C library defines this for functions which it implements
5555 to always fail with ENOSYS. Some functions are actually named
5556 something starting with __ and the normal name is an alias. */
5557#if defined __stub_$ac_func || defined __stub___$ac_func
5558choke me
5559#endif
5560
5561int
5562main ()
5563{
5564return $ac_func ();
5565 ;
5566 return 0;
5567}
5568_ACEOF
5569rm -f conftest.$ac_objext conftest$ac_exeext
5570if { (ac_try="$ac_link"
5571case "(($ac_try" in
5572 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5573 *) ac_try_echo=$ac_try;;
5574esac
5575eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5576 (eval "$ac_link") 2>conftest.er1
5577 ac_status=$?
5578 grep -v '^ *+' conftest.er1 >conftest.err
5579 rm -f conftest.er1
5580 cat conftest.err >&5
5581 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5582 (exit $ac_status); } && {
5583 test -z "$ac_cxx_werror_flag" ||
5584 test ! -s conftest.err
5585 } && test -s conftest$ac_exeext &&
5586 $as_test_x conftest$ac_exeext; then
5587 eval "$as_ac_var=yes"
5588else
5589 echo "$as_me: failed program was:" >&5
5590sed 's/^/| /' conftest.$ac_ext >&5
5591
5592 eval "$as_ac_var=no"
5593fi
5594
5595rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5596 conftest$ac_exeext conftest.$ac_ext
5597fi
5598ac_res=`eval echo '${'$as_ac_var'}'`
5599 { echo "$as_me:$LINENO: result: $ac_res" >&5
5600echo "${ECHO_T}$ac_res" >&6; }
5601if test `eval echo '${'$as_ac_var'}'` = yes; then
5602 cat >>confdefs.h <<_ACEOF
5603#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5604_ACEOF
5605
5606fi
5607done
5608
5609
5610{ echo "$as_me:$LINENO: checking for clock_gettime" >&5
5611echo $ECHO_N "checking for clock_gettime... $ECHO_C" >&6; }
5612if test "${ac_cv_func_clock_gettime+set}" = set; then
5613 echo $ECHO_N "(cached) $ECHO_C" >&6
5614else
5615 cat >conftest.$ac_ext <<_ACEOF
5616/* confdefs.h. */
5617_ACEOF
5618cat confdefs.h >>conftest.$ac_ext
5619cat >>conftest.$ac_ext <<_ACEOF
5620/* end confdefs.h. */
5621/* Define clock_gettime to an innocuous variant, in case <limits.h> declares clock_gettime.
5622 For example, HP-UX 11i <limits.h> declares gettimeofday. */
5623#define clock_gettime innocuous_clock_gettime
5624
5625/* System header to define __stub macros and hopefully few prototypes,
5626 which can conflict with char clock_gettime (); below.
5627 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5628 <limits.h> exists even on freestanding compilers. */
5629
5630#ifdef __STDC__
5631# include <limits.h>
5632#else
5633# include <assert.h>
5634#endif
5635
5636#undef clock_gettime
5637
5638/* Override any GCC internal prototype to avoid an error.
5639 Use char because int might match the return type of a GCC
5640 builtin and then its argument prototype would still apply. */
5641#ifdef __cplusplus
5642extern "C"
5643#endif
5644char clock_gettime ();
5645/* The GNU C library defines this for functions which it implements
5646 to always fail with ENOSYS. Some functions are actually named
5647 something starting with __ and the normal name is an alias. */
5648#if defined __stub_clock_gettime || defined __stub___clock_gettime
5649choke me
5650#endif
5651
5652int
5653main ()
5654{
5655return clock_gettime ();
5656 ;
5657 return 0;
5658}
5659_ACEOF
5660rm -f conftest.$ac_objext conftest$ac_exeext
5661if { (ac_try="$ac_link"
5662case "(($ac_try" in
5663 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5664 *) ac_try_echo=$ac_try;;
5665esac
5666eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5667 (eval "$ac_link") 2>conftest.er1
5668 ac_status=$?
5669 grep -v '^ *+' conftest.er1 >conftest.err
5670 rm -f conftest.er1
5671 cat conftest.err >&5
5672 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5673 (exit $ac_status); } && {
5674 test -z "$ac_cxx_werror_flag" ||
5675 test ! -s conftest.err
5676 } && test -s conftest$ac_exeext &&
5677 $as_test_x conftest$ac_exeext; then
5678 ac_cv_func_clock_gettime=yes
5679else
5680 echo "$as_me: failed program was:" >&5
5681sed 's/^/| /' conftest.$ac_ext >&5
5682
5683 ac_cv_func_clock_gettime=no
5684fi
5685
5686rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5687 conftest$ac_exeext conftest.$ac_ext
5688fi
5689{ echo "$as_me:$LINENO: result: $ac_cv_func_clock_gettime" >&5
5690echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; }
5691if test $ac_cv_func_clock_gettime = yes; then
5692 :
5693else
5694
5695 if test -z "$LIBEV_M4_AVOID_LIBRT"; then
5696
5697{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5
5698echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; }
5699if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
5700 echo $ECHO_N "(cached) $ECHO_C" >&6
5701else
5702 ac_check_lib_save_LIBS=$LIBS
5703LIBS="-lrt $LIBS"
5704cat >conftest.$ac_ext <<_ACEOF
5705/* confdefs.h. */
5706_ACEOF
5707cat confdefs.h >>conftest.$ac_ext
5708cat >>conftest.$ac_ext <<_ACEOF
5709/* end confdefs.h. */
5710
5711/* Override any GCC internal prototype to avoid an error.
5712 Use char because int might match the return type of a GCC
5713 builtin and then its argument prototype would still apply. */
5714#ifdef __cplusplus
5715extern "C"
5716#endif
5717char clock_gettime ();
5718int
5719main ()
5720{
5721return clock_gettime ();
5722 ;
5723 return 0;
5724}
5725_ACEOF
5726rm -f conftest.$ac_objext conftest$ac_exeext
5727if { (ac_try="$ac_link"
5728case "(($ac_try" in
5729 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5730 *) ac_try_echo=$ac_try;;
5731esac
5732eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5733 (eval "$ac_link") 2>conftest.er1
5734 ac_status=$?
5735 grep -v '^ *+' conftest.er1 >conftest.err
5736 rm -f conftest.er1
5737 cat conftest.err >&5
5738 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5739 (exit $ac_status); } && {
5740 test -z "$ac_cxx_werror_flag" ||
5741 test ! -s conftest.err
5742 } && test -s conftest$ac_exeext &&
5743 $as_test_x conftest$ac_exeext; then
5744 ac_cv_lib_rt_clock_gettime=yes
5745else
5746 echo "$as_me: failed program was:" >&5
5747sed 's/^/| /' conftest.$ac_ext >&5
5748
5749 ac_cv_lib_rt_clock_gettime=no
5750fi
5751
5752rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5753 conftest$ac_exeext conftest.$ac_ext
5754LIBS=$ac_check_lib_save_LIBS
5755fi
5756{ echo "$as_me:$LINENO: result: $ac_cv_lib_rt_clock_gettime" >&5
5757echo "${ECHO_T}$ac_cv_lib_rt_clock_gettime" >&6; }
5758if test $ac_cv_lib_rt_clock_gettime = yes; then
5759 cat >>confdefs.h <<_ACEOF
5760#define HAVE_LIBRT 1
5761_ACEOF
5762
5763 LIBS="-lrt $LIBS"
5764
5765fi
5766
5767
5768for ac_func in clock_gettime
5769do
5770as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5771{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5772echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
5773if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
5774 echo $ECHO_N "(cached) $ECHO_C" >&6
5775else
5776 cat >conftest.$ac_ext <<_ACEOF
5777/* confdefs.h. */
5778_ACEOF
5779cat confdefs.h >>conftest.$ac_ext
5780cat >>conftest.$ac_ext <<_ACEOF
5781/* end confdefs.h. */
5782/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5783 For example, HP-UX 11i <limits.h> declares gettimeofday. */
5784#define $ac_func innocuous_$ac_func
5785
5786/* System header to define __stub macros and hopefully few prototypes,
5787 which can conflict with char $ac_func (); below.
5788 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5789 <limits.h> exists even on freestanding compilers. */
5790
5791#ifdef __STDC__
5792# include <limits.h>
5793#else
5794# include <assert.h>
5795#endif
5796
5797#undef $ac_func
5798
5799/* Override any GCC internal prototype to avoid an error.
5800 Use char because int might match the return type of a GCC
5801 builtin and then its argument prototype would still apply. */
5802#ifdef __cplusplus
5803extern "C"
5804#endif
5805char $ac_func ();
5806/* The GNU C library defines this for functions which it implements
5807 to always fail with ENOSYS. Some functions are actually named
5808 something starting with __ and the normal name is an alias. */
5809#if defined __stub_$ac_func || defined __stub___$ac_func
5810choke me
5811#endif
5812
5813int
5814main ()
5815{
5816return $ac_func ();
5817 ;
5818 return 0;
5819}
5820_ACEOF
5821rm -f conftest.$ac_objext conftest$ac_exeext
5822if { (ac_try="$ac_link"
5823case "(($ac_try" in
5824 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5825 *) ac_try_echo=$ac_try;;
5826esac
5827eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5828 (eval "$ac_link") 2>conftest.er1
5829 ac_status=$?
5830 grep -v '^ *+' conftest.er1 >conftest.err
5831 rm -f conftest.er1
5832 cat conftest.err >&5
5833 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5834 (exit $ac_status); } && {
5835 test -z "$ac_cxx_werror_flag" ||
5836 test ! -s conftest.err
5837 } && test -s conftest$ac_exeext &&
5838 $as_test_x conftest$ac_exeext; then
5839 eval "$as_ac_var=yes"
5840else
5841 echo "$as_me: failed program was:" >&5
5842sed 's/^/| /' conftest.$ac_ext >&5
5843
5844 eval "$as_ac_var=no"
5845fi
5846
5847rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5848 conftest$ac_exeext conftest.$ac_ext
5849fi
5850ac_res=`eval echo '${'$as_ac_var'}'`
5851 { echo "$as_me:$LINENO: result: $ac_res" >&5
5852echo "${ECHO_T}$ac_res" >&6; }
5853if test `eval echo '${'$as_ac_var'}'` = yes; then
5854 cat >>confdefs.h <<_ACEOF
5855#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5856_ACEOF
5857
5858fi
5859done
5860
5861 fi
5862
5863fi
5864
5865
5866
5867{ echo "$as_me:$LINENO: checking for ceil in -lm" >&5
5868echo $ECHO_N "checking for ceil in -lm... $ECHO_C" >&6; }
5869if test "${ac_cv_lib_m_ceil+set}" = set; then
5870 echo $ECHO_N "(cached) $ECHO_C" >&6
5871else
5872 ac_check_lib_save_LIBS=$LIBS
5873LIBS="-lm $LIBS"
5874cat >conftest.$ac_ext <<_ACEOF
5875/* confdefs.h. */
5876_ACEOF
5877cat confdefs.h >>conftest.$ac_ext
5878cat >>conftest.$ac_ext <<_ACEOF
5879/* end confdefs.h. */
5880
5881/* Override any GCC internal prototype to avoid an error.
5882 Use char because int might match the return type of a GCC
5883 builtin and then its argument prototype would still apply. */
5884#ifdef __cplusplus
5885extern "C"
5886#endif
5887char ceil ();
5888int
5889main ()
5890{
5891return ceil ();
5892 ;
5893 return 0;
5894}
5895_ACEOF
5896rm -f conftest.$ac_objext conftest$ac_exeext
5897if { (ac_try="$ac_link"
5898case "(($ac_try" in
5899 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5900 *) ac_try_echo=$ac_try;;
5901esac
5902eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5903 (eval "$ac_link") 2>conftest.er1
5904 ac_status=$?
5905 grep -v '^ *+' conftest.er1 >conftest.err
5906 rm -f conftest.er1
5907 cat conftest.err >&5
5908 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5909 (exit $ac_status); } && {
5910 test -z "$ac_cxx_werror_flag" ||
5911 test ! -s conftest.err
5912 } && test -s conftest$ac_exeext &&
5913 $as_test_x conftest$ac_exeext; then
5914 ac_cv_lib_m_ceil=yes
5915else
5916 echo "$as_me: failed program was:" >&5
5917sed 's/^/| /' conftest.$ac_ext >&5
5918
5919 ac_cv_lib_m_ceil=no
5920fi
5921
5922rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5923 conftest$ac_exeext conftest.$ac_ext
5924LIBS=$ac_check_lib_save_LIBS
5925fi
5926{ echo "$as_me:$LINENO: result: $ac_cv_lib_m_ceil" >&5
5927echo "${ECHO_T}$ac_cv_lib_m_ceil" >&6; }
5928if test $ac_cv_lib_m_ceil = yes; then
5929 cat >>confdefs.h <<_ACEOF
5930#define HAVE_LIBM 1
5931_ACEOF
5932
5933 LIBS="-lm $LIBS"
5934
5935fi
5936
5937
5938
5939
5940
5941
5942
4896# Extract the first word of "tic", so it can be a program name with args. 5943# Extract the first word of "tic", so it can be a program name with args.
4897set dummy tic; ac_word=$2 5944set dummy tic; ac_word=$2
4898{ echo "$as_me:$LINENO: checking for $ac_word" >&5 5945{ echo "$as_me:$LINENO: checking for $ac_word" >&5
4899echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } 5946echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
4900if test "${ac_cv_path_TIC+set}" = set; then 5947if test "${ac_cv_path_TIC+set}" = set; then
4933echo "${ECHO_T}no" >&6; } 5980echo "${ECHO_T}no" >&6; }
4934fi 5981fi
4935 5982
4936 5983
4937 5984
4938
4939
4940ac_ext=cpp
4941ac_cpp='$CXXCPP $CPPFLAGS'
4942ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4943ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4944ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
4945{ echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
4946echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6; }
4947if test -z "$CXXCPP"; then
4948 if test "${ac_cv_prog_CXXCPP+set}" = set; then
4949 echo $ECHO_N "(cached) $ECHO_C" >&6
4950else
4951 # Double quotes because CXXCPP needs to be expanded
4952 for CXXCPP in "$CXX -E" "/lib/cpp"
4953 do
4954 ac_preproc_ok=false
4955for ac_cxx_preproc_warn_flag in '' yes
4956do
4957 # Use a header file that comes with gcc, so configuring glibc
4958 # with a fresh cross-compiler works.
4959 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4960 # <limits.h> exists even on freestanding compilers.
4961 # On the NeXT, cc -E runs the code through the compiler's parser,
4962 # not just through cpp. "Syntax error" is here to catch this case.
4963 cat >conftest.$ac_ext <<_ACEOF
4964/* confdefs.h. */
4965_ACEOF
4966cat confdefs.h >>conftest.$ac_ext
4967cat >>conftest.$ac_ext <<_ACEOF
4968/* end confdefs.h. */
4969#ifdef __STDC__
4970# include <limits.h>
4971#else
4972# include <assert.h>
4973#endif
4974 Syntax error
4975_ACEOF
4976if { (ac_try="$ac_cpp conftest.$ac_ext"
4977case "(($ac_try" in
4978 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4979 *) ac_try_echo=$ac_try;;
4980esac
4981eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4982 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
4983 ac_status=$?
4984 grep -v '^ *+' conftest.er1 >conftest.err
4985 rm -f conftest.er1
4986 cat conftest.err >&5
4987 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4988 (exit $ac_status); } >/dev/null && {
4989 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
4990 test ! -s conftest.err
4991 }; then
4992 :
4993else
4994 echo "$as_me: failed program was:" >&5
4995sed 's/^/| /' conftest.$ac_ext >&5
4996
4997 # Broken: fails on valid input.
4998continue
4999fi
5000
5001rm -f conftest.err conftest.$ac_ext
5002
5003 # OK, works on sane cases. Now check whether nonexistent headers
5004 # can be detected and how.
5005 cat >conftest.$ac_ext <<_ACEOF
5006/* confdefs.h. */
5007_ACEOF
5008cat confdefs.h >>conftest.$ac_ext
5009cat >>conftest.$ac_ext <<_ACEOF
5010/* end confdefs.h. */
5011#include <ac_nonexistent.h>
5012_ACEOF
5013if { (ac_try="$ac_cpp conftest.$ac_ext"
5014case "(($ac_try" in
5015 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5016 *) ac_try_echo=$ac_try;;
5017esac
5018eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5019 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5020 ac_status=$?
5021 grep -v '^ *+' conftest.er1 >conftest.err
5022 rm -f conftest.er1
5023 cat conftest.err >&5
5024 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5025 (exit $ac_status); } >/dev/null && {
5026 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5027 test ! -s conftest.err
5028 }; then
5029 # Broken: success on invalid input.
5030continue
5031else
5032 echo "$as_me: failed program was:" >&5
5033sed 's/^/| /' conftest.$ac_ext >&5
5034
5035 # Passes both tests.
5036ac_preproc_ok=:
5037break
5038fi
5039
5040rm -f conftest.err conftest.$ac_ext
5041
5042done
5043# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5044rm -f conftest.err conftest.$ac_ext
5045if $ac_preproc_ok; then
5046 break
5047fi
5048
5049 done
5050 ac_cv_prog_CXXCPP=$CXXCPP
5051
5052fi
5053 CXXCPP=$ac_cv_prog_CXXCPP
5054else
5055 ac_cv_prog_CXXCPP=$CXXCPP
5056fi
5057{ echo "$as_me:$LINENO: result: $CXXCPP" >&5
5058echo "${ECHO_T}$CXXCPP" >&6; }
5059ac_preproc_ok=false
5060for ac_cxx_preproc_warn_flag in '' yes
5061do
5062 # Use a header file that comes with gcc, so configuring glibc
5063 # with a fresh cross-compiler works.
5064 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5065 # <limits.h> exists even on freestanding compilers.
5066 # On the NeXT, cc -E runs the code through the compiler's parser,
5067 # not just through cpp. "Syntax error" is here to catch this case.
5068 cat >conftest.$ac_ext <<_ACEOF
5069/* confdefs.h. */
5070_ACEOF
5071cat confdefs.h >>conftest.$ac_ext
5072cat >>conftest.$ac_ext <<_ACEOF
5073/* end confdefs.h. */
5074#ifdef __STDC__
5075# include <limits.h>
5076#else
5077# include <assert.h>
5078#endif
5079 Syntax error
5080_ACEOF
5081if { (ac_try="$ac_cpp conftest.$ac_ext"
5082case "(($ac_try" in
5083 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5084 *) ac_try_echo=$ac_try;;
5085esac
5086eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5087 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5088 ac_status=$?
5089 grep -v '^ *+' conftest.er1 >conftest.err
5090 rm -f conftest.er1
5091 cat conftest.err >&5
5092 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5093 (exit $ac_status); } >/dev/null && {
5094 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5095 test ! -s conftest.err
5096 }; then
5097 :
5098else
5099 echo "$as_me: failed program was:" >&5
5100sed 's/^/| /' conftest.$ac_ext >&5
5101
5102 # Broken: fails on valid input.
5103continue
5104fi
5105
5106rm -f conftest.err conftest.$ac_ext
5107
5108 # OK, works on sane cases. Now check whether nonexistent headers
5109 # can be detected and how.
5110 cat >conftest.$ac_ext <<_ACEOF
5111/* confdefs.h. */
5112_ACEOF
5113cat confdefs.h >>conftest.$ac_ext
5114cat >>conftest.$ac_ext <<_ACEOF
5115/* end confdefs.h. */
5116#include <ac_nonexistent.h>
5117_ACEOF
5118if { (ac_try="$ac_cpp conftest.$ac_ext"
5119case "(($ac_try" in
5120 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5121 *) ac_try_echo=$ac_try;;
5122esac
5123eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5124 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5125 ac_status=$?
5126 grep -v '^ *+' conftest.er1 >conftest.err
5127 rm -f conftest.er1
5128 cat conftest.err >&5
5129 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5130 (exit $ac_status); } >/dev/null && {
5131 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5132 test ! -s conftest.err
5133 }; then
5134 # Broken: success on invalid input.
5135continue
5136else
5137 echo "$as_me: failed program was:" >&5
5138sed 's/^/| /' conftest.$ac_ext >&5
5139
5140 # Passes both tests.
5141ac_preproc_ok=:
5142break
5143fi
5144
5145rm -f conftest.err conftest.$ac_ext
5146
5147done
5148# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5149rm -f conftest.err conftest.$ac_ext
5150if $ac_preproc_ok; then
5151 :
5152else
5153 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5154See \`config.log' for more details." >&5
5155echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5156See \`config.log' for more details." >&2;}
5157 { (exit 1); exit 1; }; }
5158fi
5159
5160ac_ext=cpp
5161ac_cpp='$CXXCPP $CPPFLAGS'
5162ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5163ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5164ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
5165 5985
5166 5986
5167{ echo "$as_me:$LINENO: checking for X" >&5 5987{ echo "$as_me:$LINENO: checking for X" >&5
5168echo $ECHO_N "checking for X... $ECHO_C" >&6; } 5988echo $ECHO_N "checking for X... $ECHO_C" >&6; }
5169 5989
6622#define HAVE_SYS_WAIT_H 1 7442#define HAVE_SYS_WAIT_H 1
6623_ACEOF 7443_ACEOF
6624 7444
6625fi 7445fi
6626 7446
6627{ echo "$as_me:$LINENO: checking for ANSI C header files" >&5
6628echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
6629if test "${ac_cv_header_stdc+set}" = set; then
6630 echo $ECHO_N "(cached) $ECHO_C" >&6
6631else
6632 cat >conftest.$ac_ext <<_ACEOF
6633/* confdefs.h. */
6634_ACEOF
6635cat confdefs.h >>conftest.$ac_ext
6636cat >>conftest.$ac_ext <<_ACEOF
6637/* end confdefs.h. */
6638#include <stdlib.h>
6639#include <stdarg.h>
6640#include <string.h>
6641#include <float.h>
6642
6643int
6644main ()
6645{
6646
6647 ;
6648 return 0;
6649}
6650_ACEOF
6651rm -f conftest.$ac_objext
6652if { (ac_try="$ac_compile"
6653case "(($ac_try" in
6654 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6655 *) ac_try_echo=$ac_try;;
6656esac
6657eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6658 (eval "$ac_compile") 2>conftest.er1
6659 ac_status=$?
6660 grep -v '^ *+' conftest.er1 >conftest.err
6661 rm -f conftest.er1
6662 cat conftest.err >&5
6663 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6664 (exit $ac_status); } && {
6665 test -z "$ac_cxx_werror_flag" ||
6666 test ! -s conftest.err
6667 } && test -s conftest.$ac_objext; then
6668 ac_cv_header_stdc=yes
6669else
6670 echo "$as_me: failed program was:" >&5
6671sed 's/^/| /' conftest.$ac_ext >&5
6672
6673 ac_cv_header_stdc=no
6674fi
6675
6676rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
6677
6678if test $ac_cv_header_stdc = yes; then
6679 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
6680 cat >conftest.$ac_ext <<_ACEOF
6681/* confdefs.h. */
6682_ACEOF
6683cat confdefs.h >>conftest.$ac_ext
6684cat >>conftest.$ac_ext <<_ACEOF
6685/* end confdefs.h. */
6686#include <string.h>
6687
6688_ACEOF
6689if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6690 $EGREP "memchr" >/dev/null 2>&1; then
6691 :
6692else
6693 ac_cv_header_stdc=no
6694fi
6695rm -f conftest*
6696
6697fi
6698
6699if test $ac_cv_header_stdc = yes; then
6700 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
6701 cat >conftest.$ac_ext <<_ACEOF
6702/* confdefs.h. */
6703_ACEOF
6704cat confdefs.h >>conftest.$ac_ext
6705cat >>conftest.$ac_ext <<_ACEOF
6706/* end confdefs.h. */
6707#include <stdlib.h>
6708
6709_ACEOF
6710if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6711 $EGREP "free" >/dev/null 2>&1; then
6712 :
6713else
6714 ac_cv_header_stdc=no
6715fi
6716rm -f conftest*
6717
6718fi
6719
6720if test $ac_cv_header_stdc = yes; then
6721 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
6722 if test "$cross_compiling" = yes; then
6723 :
6724else
6725 cat >conftest.$ac_ext <<_ACEOF
6726/* confdefs.h. */
6727_ACEOF
6728cat confdefs.h >>conftest.$ac_ext
6729cat >>conftest.$ac_ext <<_ACEOF
6730/* end confdefs.h. */
6731#include <ctype.h>
6732#include <stdlib.h>
6733#if ((' ' & 0x0FF) == 0x020)
6734# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
6735# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
6736#else
6737# define ISLOWER(c) \
6738 (('a' <= (c) && (c) <= 'i') \
6739 || ('j' <= (c) && (c) <= 'r') \
6740 || ('s' <= (c) && (c) <= 'z'))
6741# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
6742#endif
6743
6744#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
6745int
6746main ()
6747{
6748 int i;
6749 for (i = 0; i < 256; i++)
6750 if (XOR (islower (i), ISLOWER (i))
6751 || toupper (i) != TOUPPER (i))
6752 return 2;
6753 return 0;
6754}
6755_ACEOF
6756rm -f conftest$ac_exeext
6757if { (ac_try="$ac_link"
6758case "(($ac_try" in
6759 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6760 *) ac_try_echo=$ac_try;;
6761esac
6762eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6763 (eval "$ac_link") 2>&5
6764 ac_status=$?
6765 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6766 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
6767 { (case "(($ac_try" in
6768 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6769 *) ac_try_echo=$ac_try;;
6770esac
6771eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6772 (eval "$ac_try") 2>&5
6773 ac_status=$?
6774 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6775 (exit $ac_status); }; }; then
6776 :
6777else
6778 echo "$as_me: program exited with status $ac_status" >&5
6779echo "$as_me: failed program was:" >&5
6780sed 's/^/| /' conftest.$ac_ext >&5
6781
6782( exit $ac_status )
6783ac_cv_header_stdc=no
6784fi
6785rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
6786fi
6787
6788
6789fi
6790fi
6791{ echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
6792echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
6793if test $ac_cv_header_stdc = yes; then
6794
6795cat >>confdefs.h <<\_ACEOF
6796#define STDC_HEADERS 1
6797_ACEOF
6798
6799fi
6800
6801# On IRIX 5.3, sys/types and inttypes.h are conflicting.
6802
6803
6804
6805
6806
6807
6808
6809
6810
6811for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
6812 inttypes.h stdint.h unistd.h
6813do
6814as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6815{ echo "$as_me:$LINENO: checking for $ac_header" >&5
6816echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
6817if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
6818 echo $ECHO_N "(cached) $ECHO_C" >&6
6819else
6820 cat >conftest.$ac_ext <<_ACEOF
6821/* confdefs.h. */
6822_ACEOF
6823cat confdefs.h >>conftest.$ac_ext
6824cat >>conftest.$ac_ext <<_ACEOF
6825/* end confdefs.h. */
6826$ac_includes_default
6827
6828#include <$ac_header>
6829_ACEOF
6830rm -f conftest.$ac_objext
6831if { (ac_try="$ac_compile"
6832case "(($ac_try" in
6833 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6834 *) ac_try_echo=$ac_try;;
6835esac
6836eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6837 (eval "$ac_compile") 2>conftest.er1
6838 ac_status=$?
6839 grep -v '^ *+' conftest.er1 >conftest.err
6840 rm -f conftest.er1
6841 cat conftest.err >&5
6842 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6843 (exit $ac_status); } && {
6844 test -z "$ac_cxx_werror_flag" ||
6845 test ! -s conftest.err
6846 } && test -s conftest.$ac_objext; then
6847 eval "$as_ac_Header=yes"
6848else
6849 echo "$as_me: failed program was:" >&5
6850sed 's/^/| /' conftest.$ac_ext >&5
6851
6852 eval "$as_ac_Header=no"
6853fi
6854
6855rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
6856fi
6857ac_res=`eval echo '${'$as_ac_Header'}'`
6858 { echo "$as_me:$LINENO: result: $ac_res" >&5
6859echo "${ECHO_T}$ac_res" >&6; }
6860if test `eval echo '${'$as_ac_Header'}'` = yes; then
6861 cat >>confdefs.h <<_ACEOF
6862#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6863_ACEOF
6864
6865fi
6866
6867done
6868
6869
6870 7447
6871 7448
6872 7449
6873 7450
6874 7451
9636_ACEOF 10213_ACEOF
9637 10214
9638 10215
9639 10216
9640 10217
9641
9642
9643for ac_func in \ 10218for ac_func in unsetenv
9644 unsetenv \
9645 setutent \
9646 on_exit \
9647
9648do 10219do
9649as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 10220as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9650{ echo "$as_me:$LINENO: checking for $ac_func" >&5 10221{ echo "$as_me:$LINENO: checking for $ac_func" >&5
9651echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } 10222echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
9652if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then 10223if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
9791 10362
9792 10363
9793 10364
9794 10365
9795for ac_func in \ 10366for ac_func in \
9796 ttyslot \
9797 updwtmp \ 10367 updwtmp \
9798 updwtmpx \ 10368 updwtmpx \
10369 updlastlogx \
9799 10370
9800do 10371do
9801as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 10372as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9802{ echo "$as_me:$LINENO: checking for $ac_func" >&5 10373{ echo "$as_me:$LINENO: checking for $ac_func" >&5
9803echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } 10374echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
11224 11795
11225cat >>confdefs.h <<_ACEOF 11796cat >>confdefs.h <<_ACEOF
11226#define LASTLOG_FILE "$path_lastlog" 11797#define LASTLOG_FILE "$path_lastlog"
11227_ACEOF 11798_ACEOF
11228 11799
11229 if test -d "$path_lastlog"; then
11230
11231cat >>confdefs.h <<\_ACEOF
11232#define LASTLOG_IS_DIR 1
11233_ACEOF
11234
11235 fi
11236fi 11800fi
11237 11801
11238{ echo "$as_me:$LINENO: checking where lastlogx is located" >&5 11802{ echo "$as_me:$LINENO: checking where lastlogx is located" >&5
11239echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6; } 11803echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6; }
11240if test "${path_lastlogx+set}" = set; then 11804if test "${path_lastlogx+set}" = set; then
11322 11886
11323fi 11887fi
11324 11888
11325 11889
11326 11890
11327{ echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5
11328echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6; }
11329if test "${rxvt_cv_path_ttytab+set}" = set; then
11330 echo $ECHO_N "(cached) $ECHO_C" >&6
11331else
11332 for ttys_file in /etc/ttys /etc/ttytab;
11333do
11334 if test -f "$ttys_file" ; then
11335 rxvt_cv_path_ttytab=$ttys_file
11336 break
11337 fi
11338done
11339
11340fi
11341{ echo "$as_me:$LINENO: result: $rxvt_cv_path_ttytab" >&5
11342echo "${ECHO_T}$rxvt_cv_path_ttytab" >&6; }
11343if test x$rxvt_cv_path_ttytab != x; then
11344
11345cat >>confdefs.h <<_ACEOF
11346#define TTYTAB_FILENAME "$rxvt_cv_path_ttytab"
11347_ACEOF
11348
11349fi
11350
11351 11891
11352save_LIBS=$LIBS 11892save_LIBS=$LIBS
11353save_CFLAGS=$CFLAGS 11893save_CFLAGS=$CFLAGS
11354CFLAGS="$CFLAGS $X_CFLAGS" 11894CFLAGS="$CFLAGS $X_CFLAGS"
11355LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11" 11895LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11"
12437echo "${ECHO_T}no" >&6; } 12977echo "${ECHO_T}no" >&6; }
12438fi 12978fi
12439 12979
12440 12980
12441 if test $PKG_CONFIG != no && $PKG_CONFIG --exists xft; then 12981 if test $PKG_CONFIG != no && $PKG_CONFIG --exists xft; then
12442 LIBS="$LIBS `$PKG_CONFIG xft --libs`" 12982 X_LIBS="`$PKG_CONFIG xft --libs` $X_LIBS"
12443 CPPFLAGS="$CPPFLAGS `$PKG_CONFIG xft --cflags`" 12983 CPPFLAGS="$CPPFLAGS `$PKG_CONFIG xft --cflags`"
12444 else 12984 else
12445 # Extract the first word of "xft-config", so it can be a program name with args. 12985 # Extract the first word of "xft-config", so it can be a program name with args.
12446set dummy xft-config; ac_word=$2 12986set dummy xft-config; ac_word=$2
12447{ echo "$as_me:$LINENO: checking for $ac_word" >&5 12987{ echo "$as_me:$LINENO: checking for $ac_word" >&5
12482echo "${ECHO_T}no" >&6; } 13022echo "${ECHO_T}no" >&6; }
12483fi 13023fi
12484 13024
12485 13025
12486 if test $XFT_CONFIG != no; then 13026 if test $XFT_CONFIG != no; then
12487 LIBS="$LIBS `$XFT_CONFIG --libs`" 13027 X_LIBS="`$XFT_CONFIG --libs` $X_LIBS"
12488 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`" 13028 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`"
12489 fi 13029 fi
12490 fi 13030 fi
12491 13031
13032 save_LIBS="$LIBS"
13033 LIBS="$LIBS $X_LIBS"
12492 13034
12493for ac_header in X11/Xft/Xft.h 13035for ac_header in X11/Xft/Xft.h
12494do 13036do
12495as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 13037as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
12496if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 13038if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
12629 support_xft=no 13171 support_xft=no
12630fi 13172fi
12631 13173
12632done 13174done
12633 13175
12634
12635{ echo "$as_me:$LINENO: checking for XftDrawString32 in -lXft" >&5 13176 { echo "$as_me:$LINENO: checking for XftDrawString32 in -lXft" >&5
12636echo $ECHO_N "checking for XftDrawString32 in -lXft... $ECHO_C" >&6; } 13177echo $ECHO_N "checking for XftDrawString32 in -lXft... $ECHO_C" >&6; }
12637if test "${ac_cv_lib_Xft_XftDrawString32+set}" = set; then 13178if test "${ac_cv_lib_Xft_XftDrawString32+set}" = set; then
12638 echo $ECHO_N "(cached) $ECHO_C" >&6 13179 echo $ECHO_N "(cached) $ECHO_C" >&6
12639else 13180else
12640 ac_check_lib_save_LIBS=$LIBS 13181 ac_check_lib_save_LIBS=$LIBS
12692LIBS=$ac_check_lib_save_LIBS 13233LIBS=$ac_check_lib_save_LIBS
12693fi 13234fi
12694{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftDrawString32" >&5 13235{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftDrawString32" >&5
12695echo "${ECHO_T}$ac_cv_lib_Xft_XftDrawString32" >&6; } 13236echo "${ECHO_T}$ac_cv_lib_Xft_XftDrawString32" >&6; }
12696if test $ac_cv_lib_Xft_XftDrawString32 = yes; then 13237if test $ac_cv_lib_Xft_XftDrawString32 = yes; then
12697 cat >>confdefs.h <<_ACEOF 13238 :
12698#define HAVE_LIBXFT 1
12699_ACEOF
12700
12701 LIBS="-lXft $LIBS"
12702
12703else 13239else
12704 support_xft=no 13240 support_xft=no
12705fi 13241fi
12706 13242
13243 LIBS="$save_LIBS"
12707 13244
12708 if test x$support_xft = xyes; then 13245 if test x$support_xft = xyes; then
12709 13246
12710cat >>confdefs.h <<\_ACEOF 13247cat >>confdefs.h <<\_ACEOF
12711#define XFT 1 13248#define XFT 1
13856GREP!$GREP$ac_delim 14393GREP!$GREP$ac_delim
13857EGREP!$EGREP$ac_delim 14394EGREP!$EGREP$ac_delim
13858LINKER!$LINKER$ac_delim 14395LINKER!$LINKER$ac_delim
13859INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim 14396INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim
13860RXVTNAME!$RXVTNAME$ac_delim 14397RXVTNAME!$RXVTNAME$ac_delim
14398CXXCPP!$CXXCPP$ac_delim
13861TIC!$TIC$ac_delim 14399TIC!$TIC$ac_delim
13862XMKMF!$XMKMF$ac_delim 14400XMKMF!$XMKMF$ac_delim
13863CXXCPP!$CXXCPP$ac_delim
13864X_CFLAGS!$X_CFLAGS$ac_delim 14401X_CFLAGS!$X_CFLAGS$ac_delim
13865X_PRE_LIBS!$X_PRE_LIBS$ac_delim 14402X_PRE_LIBS!$X_PRE_LIBS$ac_delim
13866X_LIBS!$X_LIBS$ac_delim 14403X_LIBS!$X_LIBS$ac_delim
13867X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim 14404X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim
13868afterimage_config!$afterimage_config$ac_delim 14405afterimage_config!$afterimage_config$ac_delim

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines